cURL
curl --request POST \
--url https://us.infisical.com/api/v1/projects/{projectId}/memberships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [],
"usernames": [],
"roleSlugs": [
"<string>"
]
}
'import requests
url = "https://us.infisical.com/api/v1/projects/{projectId}/memberships"
payload = {
"emails": [],
"usernames": [],
"roleSlugs": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: [], usernames: [], roleSlugs: ['<string>']})
};
fetch('https://us.infisical.com/api/v1/projects/{projectId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memberships": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>"
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Project Users
Invite Member
Invite members to project
POST
/
api
/
v1
/
projects
/
{projectId}
/
memberships
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the project to invite the member to.
Body
application/json
A list of organization member emails to invite to the project.
A list of usernames to invite to the project.
A list of role slugs to assign to the newly created project membership. If nothing is provided, it will default to the Member role.
Minimum array length:
1Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I